<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: counter Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">counter Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for counter:</div>
<div class="dyncontent">
<div class="center"><img src="classcounter__inherit__graph.png" border="0" usemap="#counter_inherit__map" alt="Inheritance graph"/></div>
<map name="counter_inherit__map" id="counter_inherit__map">
<area shape="rect" id="node2" href="classCD__Stream__Processor.html" title="CD_Stream_Processor" alt="" coords="126,5,293,32"/><area shape="rect" id="node5" href="classCOLDATA__Simulator.html" title="COLDATA_Simulator" alt="" coords="132,56,287,83"/><area shape="rect" id="node6" href="classDAQ__Link__EventBuilder.html" title="DAQ_Link_EventBuilder" alt="" coords="123,107,296,133"/><area shape="rect" id="node8" href="classDCC.html" title="DCC" alt="" coords="183,157,235,184"/><area shape="rect" id="node9" href="classDTS.html" title="DTS" alt="" coords="371,208,422,235"/><area shape="rect" id="node10" href="classFEMB__CnC.html" title="FEMB_CnC" alt="" coords="349,259,445,285"/><area shape="rect" id="node11" href="classregister__map.html" title="register_map" alt="" coords="344,309,449,336"/><area shape="rect" id="node3" href="classFEMB__DAQ.html" title="FEMB_DAQ" alt="" coords="347,56,446,83"/><area shape="rect" id="node4" href="classWIB.html" title="WIB" alt="" coords="497,208,545,235"/><area shape="rect" id="node7" href="classEventBuilder.html" title="EventBuilder" alt="" coords="346,132,447,159"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classcounter-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classcounter_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classcounter.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a83e407bdc0d87db08ff33f8bb98dcb5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83e407bdc0d87db08ff33f8bb98dcb5d"></a>
<a class="el" href="classcounter.html#a83e407bdc0d87db08ff33f8bb98dcb5d">roll_over</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a51474d42bdd833fcf9a154959bcdc237"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51474d42bdd833fcf9a154959bcdc237"></a>
<a class="el" href="classcounter.html#a51474d42bdd833fcf9a154959bcdc237">end_value</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; FFFFFFFF &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a0ce8bccdbab2db179fc7b12388412155"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ce8bccdbab2db179fc7b12388412155"></a>
<a class="el" href="classcounter.html#a0ce8bccdbab2db179fc7b12388412155">start_value</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00000000 &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a16c9f9f06d5c739065af2c531c1128b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16c9f9f06d5c739065af2c531c1128b8"></a>
<a class="el" href="classcounter.html#a16c9f9f06d5c739065af2c531c1128b8">DATA_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">32</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classcounter.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90f4a105dfcad449d62f12e2751563a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90f4a105dfcad449d62f12e2751563a4"></a>
<a class="el" href="classcounter.html#a90f4a105dfcad449d62f12e2751563a4">reset_async</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8358748106a862b7a502fae0da8fad3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8358748106a862b7a502fae0da8fad3b"></a>
<a class="el" href="classcounter.html#a8358748106a862b7a502fae0da8fad3b">reset_sync</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a718a3f2798501efdcd65e48d810201"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a718a3f2798501efdcd65e48d810201"></a>
<a class="el" href="classcounter.html#a8a718a3f2798501efdcd65e48d810201">enable</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a47077870b199d005e2526976aafb89e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47077870b199d005e2526976aafb89e0"></a>
<a class="el" href="classcounter.html#a47077870b199d005e2526976aafb89e0">event</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a394ceba08c40d08d0311647f5b0d9100"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a394ceba08c40d08d0311647f5b0d9100"></a>
<a class="el" href="classcounter.html#a394ceba08c40d08d0311647f5b0d9100">count</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DATA_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7da2ab46fe8821b17d6961fc32eb5061"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7da2ab46fe8821b17d6961fc32eb5061"></a>
<a class="el" href="classcounter.html#a7da2ab46fe8821b17d6961fc32eb5061">at_max</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="counter_8vhd_source.html#l00013">13</a> of file <a class="el" href="counter_8vhd_source.html">counter.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/register_map/<a class="el" href="counter_8vhd_source.html">counter.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
